API referenceProjects

Revoke a project CLI key

POST
/projects/{id}/cli-tokens/{keyId}/revoke

Authorization

bearerAuth
AuthorizationBearer <token>

Typecut API key. Generate one in app.typecut.ai → Settings → API keys. Send as Authorization: Bearer tc_live_….

In: header

Path Parameters

id*string
Formatuuid
keyId*string
Formatuuid

Response Body

application/json

application/json

curl -X POST "https://example.com/projects/497f6eca-6276-4993-bfeb-53cbbbba6f08/cli-tokens/497f6eca-6276-4993-bfeb-53cbbbba6f08/revoke"
{
  "data": {
    "key_id": "string",
    "revoked": true
  }
}
{
  "error": {
    "type": "string",
    "code": "string",
    "message": "string"
  }
}